% A simple cycle
% Author : Jerome Tremblay
\documentclass{article}
\usepackage{tikz}
%%%<
\usepackage{verbatim}
\usepackage{verbatim}
\usepackage[active,tightpage]{preview}
\PreviewEnvironment{tikzpicture}
\setlength\PreviewBorder{5pt}%
%%%>

\begin{document}
\begin{tikzpicture}
% graph
\node[draw, circle] (1) at (0,0) {$1$};
\node[draw, circle] (2) at (3,0) {$2$};
\node[draw, circle] (3) at (3,3) {$3$};
\node[draw, circle] (4) at (0,3) {$4$};

\draw[line width=3pt, red] (1) to node [midway, below, black] {$2$} (2);
\draw[line width=3pt, red] (2) to node [midway, right, black] {$2$} (3);
\draw[line width=3pt] (3) to node [midway, above, black] {$1$} (4);
\draw[line width=3pt, red] (4) to node [midway, left, black] {$4$} (1);

%\draw[line width=3pt, red] (1) to node [midway, below, black] {$c_{\{1,2\}}=2$} (2);
%\draw[line width=3pt] (2) to node [midway, right, black] {$c_{\{2,3\}}=2$} (3);
%\draw[line width=3pt, red] (3) to node [midway, above, black] {$c_{\{3,4\}}=1$} (4);
%\draw[line width=3pt, red] (4) to node [midway, left, black] {$c_{\{4,1\}}=4$} (1);
\end{tikzpicture}


\end{document}



